Create or update a customer
Authorizations
AuthorizationstringRequired
Body
Responses
200
200
application/json
400
400
application/json
401
401
text/plain
403
403
text/plain
404
404
text/plain
429
429
text/plain
500
500
text/plain
502
502
text/plain
503
503
text/plain
504
504
text/plain
post/customers
POST /v1/customers HTTP/1.1
Host: integration-BASE-URL.citrusad.com/
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 145
{
"customers": [
{
"gender": "text",
"id": "text",
"postcode": "text",
"suburb": "text",
"targetingData": [
{
"key": "value"
}
],
"teamId": "text",
"yearOfBirth": 1
}
]
}{
"customers": [
{
"targetingData": {
"string": "string"
},
"gender": "string",
"teamId": "string",
"postcode": "string",
"suburb": "string",
"id": "string,
"segmentIds": [
"string", "string"
],
"yearOfBirth": "integer"
}
]
}

